Intermittent test_getUserMedia_mediaElementCapture_tracks.html,test_streams_capture_origin.html | Assertion count 4 is greater than expected (ASSERTION: Unsupported partial updates for YCbCr textures: '!aRegion', file TextureHost.cpp, line 696)

RESOLVED FIXED in Firefox 52

Status

()

Core
Graphics: Layers
P3
normal
RESOLVED FIXED
a year ago
6 months ago

People

(Reporter: philor, Assigned: sotaro)

Tracking

({assertion, intermittent-failure})

Trunk
mozilla52
assertion, intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox50 affected, firefox51 affected, firefox52 fixed)

Details

(Whiteboard: [gfx-noted])

Attachments

(1 attachment, 1 obsolete attachment)

(Reporter)

Description

a year ago
+++ This bug was initially created as a clone of Bug #1251427 +++

https://treeherder.mozilla.org/logviewer.html#?job_id=4296490&repo=mozilla-central
Whiteboard: [gfx-noted]
status-firefox51: --- → affected
Summary: Intermittent test_streams_capture_origin.html | Assertion count 4 is greater than expected (ASSERTION: Unsupported partial updates for YCbCr textures: '!aRegion', file gfx/layers/composite/TextureHost.cpp, line 696) → Intermittent test_getUserMedia_mediaElementCapture_tracks.html,test_streams_capture_origin.html | Assertion count 4 is greater than expected (ASSERTION: Unsupported partial updates for YCbCr textures: '!aRegion', file TextureHost.cpp, line 696)

Comment 1

a year ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3

Comment 2

a year ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* autoland: 4
* fx-team: 1

Platform breakdown:
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285757&startday=2016-09-12&endday=2016-09-18&tree=all

Comment 3

a year ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 2
* autoland: 1

Platform breakdown:
* linux64: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285757&startday=2016-09-19&endday=2016-09-25&tree=all
This appears in all of the logs, seems relevant:
 [task 2016-09-21T20:29:03.842288Z] 20:29:03     INFO -  [4521] ###!!! ASSERTION: Unsupported partial updates for YCbCr textures: '!aRegion', file /home/worker/workspace/build/src/gfx/layers/composite/TextureHost.cpp, line 911
 [task 2016-09-21T20:29:03.850399Z] 20:29:03     INFO -  #01: mozilla::layers::BufferTextureHost::MaybeUpload [gfx/layers/composite/TextureHost.cpp:811]
 [task 2016-09-21T20:29:03.851184Z] 20:29:03     INFO -  #02: mozilla::layers::BufferTextureHost::Lock [gfx/layers/composite/TextureHost.cpp:572]
 [task 2016-09-21T20:29:03.851317Z] 20:29:03     INFO -  #03: mozilla::layers::ImageHost::Lock [gfx/layers/composite/ImageHost.cpp:545]
 [task 2016-09-21T20:29:03.851949Z] 20:29:03     INFO -  #04: mozilla::layers::AutoLockCompositableHost::AutoLockCompositableHost [gfx/layers/composite/CompositableHost.h:259]
 [task 2016-09-21T20:29:03.852496Z] 20:29:03     INFO -  #05: mozilla::layers::ImageHost::Composite [gfx/layers/composite/ImageHost.cpp:336]
 [task 2016-09-21T20:29:03.852664Z] 20:29:03     INFO -  #06: mozilla::layers::ImageLayerComposite::GetCompositableHost [gfx/layers/composite/ImageLayerComposite.cpp:198]
 [task 2016-09-21T20:29:03.853217Z] 20:29:03     INFO -  #07: mozilla::layers::RenderWithAllMasks<mozilla::layers::ImageLayerComposite::RenderLayer(const IntRect&)::__lambda2> [gfx/layers/composite/LayerManagerComposite.h:596]
 [task 2016-09-21T20:29:03.855933Z] 20:29:03     INFO -  #08: mozilla::layers::ImageLayerComposite::RenderLayer [gfx/layers/composite/ImageLayerComposite.cpp:119]
 [task 2016-09-21T20:29:03.857068Z] 20:29:03     INFO -  #09: mozilla::layers::RenderLayers<mozilla::layers::ContainerLayerComposite> [gfx/layers/composite/ContainerLayerComposite.cpp:399]
 [task 2016-09-21T20:29:03.859101Z] 20:29:03     INFO -  #10: mozilla::layers::ContainerRender<mozilla::layers::ContainerLayerComposite> [mfbt/UniquePtr.h:313]
 [task 2016-09-21T20:29:03.860886Z] 20:29:03     INFO -  #11: mozilla::layers::RenderLayers<mozilla::layers::ContainerLayerComposite> [gfx/layers/composite/ContainerLayerComposite.cpp:399]
 [task 2016-09-21T20:29:03.861626Z] 20:29:03     INFO -  #12: mozilla::layers::ContainerRender<mozilla::layers::ContainerLayerComposite> [mfbt/UniquePtr.h:313]
 [task 2016-09-21T20:29:03.862683Z] 20:29:03     INFO -  #13: mozilla::layers::LayerManagerComposite::Render [gfx/src/nsRegion.h:687]
 [task 2016-09-21T20:29:03.863887Z] 20:29:03     INFO -  #14: mozilla::layers::LayerManagerComposite::UpdateAndRender [gfx/layers/composite/LayerManagerComposite.cpp:487]
 [task 2016-09-21T20:29:03.864824Z] 20:29:03     INFO -  #15: mozilla::layers::LayerManagerComposite::EndTransaction [gfx/layers/composite/LayerManagerComposite.cpp:405]
 [task 2016-09-21T20:29:03.872008Z] 20:29:03     INFO -  #16: mozilla::layers::CompositorBridgeParent::CompositeToTarget [gfx/layers/ipc/CompositorBridgeParent.cpp:1355]
 [task 2016-09-21T20:29:03.873053Z] 20:29:03     INFO -  #17: mozilla::layers::CompositorVsyncScheduler::Composite [gfx/layers/ipc/CompositorBridgeParent.cpp:578]
 [task 2016-09-21T20:29:03.873858Z] 20:29:03     INFO -  #18: mozilla::detail::RunnableMethodImpl<void (mozilla::layers::CompositorVsyncScheduler::*)(mozilla::TimeStamp), true, true, mozilla::TimeStamp>::Run [xpcom/glue/nsThreadUtils.h:767]
 [task 2016-09-21T20:29:03.879252Z] 20:29:03     INFO -  #19: MessageLoop::RunTask [mfbt/RefPtr.h:62]
 [task 2016-09-21T20:29:03.880283Z] 20:29:03     INFO -  #20: MessageLoop::DeferOrRunPendingTask [ipc/chromium/src/base/message_loop.cc:354]
 [task 2016-09-21T20:29:03.880883Z] 20:29:03     INFO -  #21: MessageLoop::DoWork [ipc/chromium/src/base/message_loop.cc:429]
 [task 2016-09-21T20:29:03.881533Z] 20:29:03     INFO -  #22: base::MessagePumpDefault::Run [ipc/chromium/src/base/message_pump_default.cc:37]
 [task 2016-09-21T20:29:03.882181Z] 20:29:03     INFO -  #23: MessageLoop::RunInternal [ipc/chromium/src/base/message_loop.cc:233]
 [task 2016-09-21T20:29:03.882835Z] 20:29:03     INFO -  #24: MessageLoop::Run [ipc/chromium/src/base/message_loop.cc:490]
 [task 2016-09-21T20:29:03.883362Z] 20:29:03     INFO -  #25: base::Thread::ThreadMain [ipc/chromium/src/base/thread.cc:183]
 [task 2016-09-21T20:29:03.884082Z] 20:29:03     INFO -  #26: ThreadFunc [ipc/chromium/src/base/platform_thread_posix.cc:40]
 [task 2016-09-21T20:29:03.884799Z] 20:29:03     INFO -  #27: libpthread.so.0 + 0x76fa
 [task 2016-09-21T20:29:03.885664Z] 20:29:03     INFO -  #28: libc.so.6 + 0x106b5d
 [task 2016-09-21T20:29:03.886453Z] 20:29:03 INFO - #29: ??? (???:???)

Comment 5

a year ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* autoland: 4
* try: 1

Platform breakdown:
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285757&startday=2016-09-26&endday=2016-10-02&tree=all
(Assignee)

Updated

a year ago
Assignee: nobody → sotaro.ikeda.g
(Assignee)

Comment 6

a year ago
The problem could happen when mFirstSource is replaced with others during no update of mUpdateSerial. Fix of Bug 1251427 handled one place of mFirstSource replacement point.
(Assignee)

Comment 7

a year ago
(In reply to Sotaro Ikeda [:sotaro] from comment #6)
> Fix of Bug 1251427 handled one place of
> mFirstSource replacement point.

The fix seems not handle a case that TextureSource is recreated without reusing CompositableTextureSourceRef.
(Assignee)

Comment 8

a year ago
Created attachment 8797950 [details] [diff] [review]
patch - Update mNeedsFullUpdate in BufferTextureHost::PrepareTextureSource()
(Assignee)

Updated

a year ago
Attachment #8797950 - Flags: review?(nical.bugzilla)
Comment on attachment 8797950 [details] [diff] [review]
patch - Update mNeedsFullUpdate in BufferTextureHost::PrepareTextureSource()

Review of attachment 8797950 [details] [diff] [review]:
-----------------------------------------------------------------

::: gfx/layers/composite/TextureHost.cpp
@@ -745,5 @@
>  
>    if (!shouldCreateTexture) {
>      mFirstSource = texture;
>      mFirstSource->SetOwner(this);
> -    mNeedsFullUpdate = true;

Are you sure we can remove this one?
(Assignee)

Comment 10

a year ago
(In reply to Nicolas Silva [:nical] from comment #9)
> ::: gfx/layers/composite/TextureHost.cpp
> @@ -745,5 @@
> >  
> >    if (!shouldCreateTexture) {
> >      mFirstSource = texture;
> >      mFirstSource->SetOwner(this);
> > -    mNeedsFullUpdate = true;
> 
> Are you sure we can remove this one?

Oh, we could not remove it.
(Assignee)

Comment 11

a year ago
Created attachment 8798258 [details] [diff] [review]
patch - Update mNeedsFullUpdate in BufferTextureHost::PrepareTextureSource()

Apply the comment.
Attachment #8797950 - Attachment is obsolete: true
Attachment #8797950 - Flags: review?(nical.bugzilla)
(Assignee)

Updated

a year ago
Attachment #8798258 - Flags: review?(nical.bugzilla)
Attachment #8798258 - Flags: review?(nical.bugzilla) → review+
(Assignee)

Comment 12

a year ago
https://treeherder.mozilla.org/#/jobs?repo=try&revision=9f79e2455bcde5a90acbe3b0de85605f677bd8b2

Comment 13

a year ago
Pushed by sikeda@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/a937bbfad93b
Update mNeedsFullUpdate in BufferTextureHost::PrepareTextureSource() r=nical

Comment 14

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/a937bbfad93b
Status: NEW → RESOLVED
Last Resolved: a year ago
status-firefox52: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla52
Please request Aurora/Beta approval on this once you feel that it has sufficiently baked.
Flags: needinfo?(sotaro.ikeda.g)
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 3
* autoland: 3
* try: 1

Platform breakdown:
* linux64: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285757&startday=2016-10-03&endday=2016-10-09&tree=all
(Assignee)

Comment 17

a year ago
Hmm, there is still another code path to cause the problem:-(
Flags: needinfo?(sotaro.ikeda.g)
(Assignee)

Updated

a year ago
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
(Assignee)

Updated

a year ago
Depends on: 1309443
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 4
* mozilla-inbound: 3
* try: 1

Platform breakdown:
* linux64: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285757&startday=2016-10-10&endday=2016-10-16&tree=all
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 8
* mozilla-inbound: 4
* mozilla-central: 2

Platform breakdown:
* linux64: 14

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285757&startday=2016-10-17&endday=2016-10-23&tree=all
5 failures in 715 pushes (0.007 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 4
* autoland: 1

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285757&startday=2016-11-14&endday=2016-11-20&tree=all
(Assignee)

Comment 21

6 months ago
The failure did not happen for 4 months.
Status: REOPENED → RESOLVED
Last Resolved: a year ago6 months ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.